"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "ShikiProvider", {
  enumerable: true,
  get: function () {
    return _SyntaxContext.ShikiProvider;
  }
});
Object.defineProperty(exports, "SyntaxHighlighter", {
  enumerable: true,
  get: function () {
    return _SyntaxHighlighter.SyntaxHighlighter;
  }
});
exports.createRNHighlighter = createRNHighlighter;
Object.defineProperty(exports, "getStylesFromShikiTheme", {
  enumerable: true,
  get: function () {
    return _style.getStylesFromShikiTheme;
  }
});
Object.defineProperty(exports, "useShiki", {
  enumerable: true,
  get: function () {
    return _SyntaxContext.useShiki;
  }
});
var _core = require("@shikijs/core");
var _engineJavascript = require("@shikijs/engine-javascript");
var _SyntaxContext = require("./components/SyntaxContext");
var _SyntaxHighlighter = require("./components/SyntaxHighlighter");
var _style = require("./utils/style");
async function createRNHighlighter(options = {}) {
  return (0, _core.createHighlighterCore)({
    engine: (0, _engineJavascript.createJavaScriptRegexEngine)(),
    ...options
  });
}
//# sourceMappingURL=index.js.map