import type { LanguageRegistration, ThemeRegistrationAny } from '@shikijs/types';
export { ShikiProvider, useShiki } from './components/SyntaxContext';
export type { ShikiContextValue, ShikiProviderProps } from './components/SyntaxContext';
export { SyntaxHighlighter } from './components/SyntaxHighlighter';
export type { SyntaxHighlighterProps } from './components/SyntaxHighlighter';
export { getStylesFromShikiTheme } from './utils/style';
export type { ShikiStyleSheet } from './utils/style';
export type { HighlighterCore, LanguageRegistration, ThemedToken, ThemeRegistrationAny, TokenStyles } from '@shikijs/types';
export declare function createRNHighlighter(options?: {
    themes?: ThemeRegistrationAny[];
    langs?: LanguageRegistration[];
}): Promise<import("@shikijs/types").HighlighterCore>;
//# sourceMappingURL=index.d.ts.map