"use strict";

import { createHighlighterCore } from '@shikijs/core';
import { createJavaScriptRegexEngine } from '@shikijs/engine-javascript';
export { ShikiProvider, useShiki } from './components/SyntaxContext';
export { SyntaxHighlighter } from './components/SyntaxHighlighter';
export { getStylesFromShikiTheme } from './utils/style';
export async function createRNHighlighter(options = {}) {
  return createHighlighterCore({
    engine: createJavaScriptRegexEngine(),
    ...options
  });
}
//# sourceMappingURL=index.js.map