import type { HighlighterCore, LanguageRegistration, ThemeRegistrationAny } from '@shikijs/types';
import React from 'react';
export interface ShikiContextValue {
    highlighter: HighlighterCore | null;
    isReady: boolean;
    error: Error | null;
    registerLanguage: (lang: LanguageRegistration) => Promise<void>;
    registerTheme: (theme: ThemeRegistrationAny) => Promise<void>;
    getLoadedLanguages: () => string[];
    getLoadedThemes: () => string[];
}
export interface ShikiProviderProps {
    children: React.ReactNode;
    initialLanguages?: LanguageRegistration[];
    initialThemes?: ThemeRegistrationAny[];
}
export declare function ShikiProvider({ children, initialLanguages, initialThemes }: ShikiProviderProps): React.JSX.Element;
export declare function useShiki(): ShikiContextValue;
//# sourceMappingURL=SyntaxContext.d.ts.map